/**
 * ioctl.h - Header file with common declarations for the PciAc5 driver
 * and the applications
 *
 * This file is part of the Drv16 Device Driver Development Kit.
 *
 * Copyright (c) 2013-2014 David Azarewicz david@88watts.net
 *
 * The following source code is provided to you solely for the purpose of
 * assisting you in developing your own OS/2 device drivers. You may use
 * this software in your device drivers free of charge. This Copyright
 * statement may not be removed.
 *
 * Drv16 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
#define IOCTL_CATEGORY 0x80
#define IOCTL_FUNCTION_INFO 0x40
#define IOCTL_FUNCTION_IORW 0x41

#define IOCTL_FCN_READ_DATA_0    0x00000000
#define IOCTL_FCN_READ_DATA_1    0x00000001
#define IOCTL_FCN_WRITE_DATA_0   0x00000100
#define IOCTL_FCN_WRITE_DATA_1   0x00000101
#define IOCTL_FCN_READ_CONFIG_0  0x00001000
#define IOCTL_FCN_READ_CONFIG_1  0x00001001
#define IOCTL_FCN_WRITE_CONFIG_0 0x00001100
#define IOCTL_FCN_WRITE_CONFIG_1 0x00001101

typedef struct _AC5INFO {
    ULONG Command;
    ULONG Data;
} AC5INFO, *PAC5INFO;


